Bug 78475 - VIEWING: Bitmap copy/paste from Mac OS X gives gibberish picture
Summary: VIEWING: Bitmap copy/paste from Mac OS X gives gibberish picture
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: Other macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-09 09:02 UTC by Rosmorduc
Modified: 2015-02-11 20:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
A screenshot of the result of pasting a picture. (94.91 KB, image/png)
2014-05-09 09:02 UTC, Rosmorduc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rosmorduc 2014-05-09 09:02:16 UTC
Created attachment 98736 [details]
A screenshot of the result of pasting a picture.

Do a window or screen capture on the mac using the shortcuts defined in keyboard preferences for screen capture.

Paste the picture to LibreOffice. The result is a corrupt picture.

Note that there is no problem if one starts the grab utility explicitely, and work with it (not using 
the general shortcut).

I add a look at the clipboard content, and the first system (the one which fails) provides the following formats:
public.png/Apple PNG Pasteboard/public.tiff/NeXT Tiff v4.0 pasteboard

whereas when explicitely using Grab, one gets the following formats on the clipboard:
/public.tiff/NeXT Tiff v4.0 pasteboard

So, it might be a problem with PNG format in copy/paste ?

Operating System: Mac OS X
Version: 4.1.6.2 release
Comment 1 Alex Thurgood 2014-05-09 09:15:28 UTC
Hi,

Can you try this out with 4.2.x ? 
The 4.1.x is end of life and there will be no future updates to these versions of LO.

Setting NEEDINFO
Comment 2 QA Administrators 2015-01-10 18:06:57 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 10/01/2015
Comment 3 QA Administrators 2015-02-11 19:56:17 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-02-11
Comment 4 QA Administrators 2015-02-11 20:02:43 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11